Closed Bug 1330227 Opened 3 years ago Closed 11 months ago

Intermittent xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 251] false == true

Categories

(Toolkit :: Add-ons Manager, defect, P5)

defect

Tracking

()

RESOLVED WORKSFORME
mozilla56
Tracking Status
firefox-esr52 --- unaffected
firefox54 --- unaffected
firefox55 --- fixed
firefox56 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: rhelmer)

References

Details

(Keywords: intermittent-failure)

Attachments

(2 files)

this is at 33 failures for the last week, on linux32 debug.

A recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=104712026&lineNumber=2675

with this failure log:
[task 2017-06-06T00:57:21.672905Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 238] {} != null
[task 2017-06-06T00:57:21.674248Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 239] "2.0" == "2.0"
[task 2017-06-06T00:57:21.676044Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 240] true == true
[task 2017-06-06T00:57:21.678787Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 241] 0 == 0
[task 2017-06-06T00:57:21.684452Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 242] "http://example.com/updateInfo.xhtml" == "http://example.com/updateInfo.xhtml"
[task 2017-06-06T00:57:21.685792Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 243] true == true
[task 2017-06-06T00:57:21.687235Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 244] "{38eb8968-ad3f-4ea4-a02b-b820b43371f2}" != null
[task 2017-06-06T00:57:21.688899Z] 00:57:21     INFO -  TEST-PASS | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 245] "{38eb8968-ad3f-4ea4-a02b-b820b43371f2}" == "{38eb8968-ad3f-4ea4-a02b-b820b43371f2}"
[task 2017-06-06T00:57:21.690201Z] 00:57:21  WARNING -  TEST-UNEXPECTED-FAIL | xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 251] false == true
[task 2017-06-06T00:57:21.691528Z] 00:57:21     INFO -  /home/worker/workspace/build/tests/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_update.js:check_test_2/</<:251
[task 2017-06-06T00:57:21.691915Z] 00:57:21     INFO -  resource://gre/modules/AddonManager.jsm:safeCall:195
[task 2017-06-06T00:57:21.692240Z] 00:57:21     INFO -  resource://gre/modules/AddonManager.jsm:makeSafe/<:210
[task 2017-06-06T00:57:21.693466Z] 00:57:21     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:process:922
[task 2017-06-06T00:57:21.693990Z] 00:57:21     INFO -  resource://gre/modules/Promise.jsm -> resource://gre/modules/Promise-backend.js:walkerLoop:806
[task 2017-06-06T00:57:21.694185Z] 00:57:21     INFO -  exiting test
[task 2017-06-06T00:57:21.701818Z] 00:57:21     INFO -  PID 15910 | 1496710620155	addons.manager	WARN	Exception calling callback: 2147500036
[task 2017-06-06T00:57:21.703310Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710618828	DeferredSave.extensions.json	DEBUG	Starting write"
[task 2017-06-06T00:57:21.704803Z] 00:57:21     INFO -  PID 15910 | 1496710620171	DeferredSave.extensions.json	DEBUG	Write succeeded
[task 2017-06-06T00:57:21.706418Z] 00:57:21     INFO -  PID 15910 | 1496710620172	addons.xpi-utils	DEBUG	XPI Database saved, setting schema version preference to 21
[task 2017-06-06T00:57:21.707954Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620155	addons.manager	WARN	Exception calling callback: 2147500036"
[task 2017-06-06T00:57:21.709455Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620171	DeferredSave.extensions.json	DEBUG	Write succeeded"
[task 2017-06-06T00:57:21.711028Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620172	addons.xpi-utils	DEBUG	XPI Database saved, setting schema version preference to 21"
[task 2017-06-06T00:57:21.711597Z] 00:57:21     INFO -  PID 15910 | 1496710620229	addons.manager	DEBUG	shutdown
[task 2017-06-06T00:57:21.713169Z] 00:57:21     INFO -  PID 15910 | 1496710620235	addons.manager	DEBUG	Calling shutdown blocker for LightweightThemeManager
[task 2017-06-06T00:57:21.713730Z] 00:57:21     INFO -  PID 15910 | 1496710620238	addons.manager	DEBUG	Calling shutdown blocker for GMPProvider
[task 2017-06-06T00:57:21.715243Z] 00:57:21     INFO -  PID 15910 | 1496710620246	addons.manager	DEBUG	Calling shutdown blocker for PluginProvider
[task 2017-06-06T00:57:21.716639Z] 00:57:21     INFO -  PID 15910 | 1496710620249	addons.manager	DEBUG	Calling shutdown blocker for XPIProvider
[task 2017-06-06T00:57:21.717302Z] 00:57:21     INFO -  PID 15910 | 1496710620250	addons.xpi	DEBUG	shutdown
[task 2017-06-06T00:57:21.717823Z] 00:57:21     INFO -  PID 15910 | 1496710620251	addons.xpi-utils	DEBUG	shutdown
[task 2017-06-06T00:57:21.718348Z] 00:57:21     INFO -  PID 15910 | 1496710620259	addons.xpi	DEBUG	Notifying XPI shutdown observers
[task 2017-06-06T00:57:21.718876Z] 00:57:21     INFO -  PID 15910 | 1496710620277	addons.manager	DEBUG	Async provider shutdown done
[task 2017-06-06T00:57:21.719395Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620229	addons.manager	DEBUG	shutdown"
[task 2017-06-06T00:57:21.721218Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620235	addons.manager	DEBUG	Calling shutdown blocker for LightweightThemeManager"
[task 2017-06-06T00:57:21.722955Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620238	addons.manager	DEBUG	Calling shutdown blocker for GMPProvider"
[task 2017-06-06T00:57:21.725129Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620246	addons.manager	DEBUG	Calling shutdown blocker for PluginProvider"
[task 2017-06-06T00:57:21.727826Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620249	addons.manager	DEBUG	Calling shutdown blocker for XPIProvider"
[task 2017-06-06T00:57:21.730706Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620250	addons.xpi	DEBUG	shutdown"
[task 2017-06-06T00:57:21.733310Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620251	addons.xpi-utils	DEBUG	shutdown"
[task 2017-06-06T00:57:21.736017Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620259	addons.xpi	DEBUG	Notifying XPI shutdown observers"
[task 2017-06-06T00:57:21.738658Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (info) 1496710620277	addons.manager	DEBUG	Async provider shutdown done"
[task 2017-06-06T00:57:21.741967Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /home/worker/workspace/build/src/storage/mozStorageConnection.cpp, line 666
[task 2017-06-06T00:57:21.743591Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file /home/worker/workspace/build/src/storage/mozStorageService.cpp, line 854
[task 2017-06-06T00:57:21.746999Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '/tmp/xpc-profile-NyYyWU/storage/permanent/chrome/idb/2029012401EexhtceanCspiuotnrSat.sqlite', retrying for up to 10 seconds: file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 4505
[task 2017-06-06T00:57:21.748774Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: 'QuotaClient::IsShuttingDownOnBackgroundThread()', file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 23237
[task 2017-06-06T00:57:21.752410Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: 'NS_FAILED(rv)', file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 21638
[task 2017-06-06T00:57:21.753792Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: 'QuotaClient::IsShuttingDownOnBackgroundThread()', file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 21174
[task 2017-06-06T00:57:21.755160Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: 'NS_FAILED(rv)', file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 21759
[task 2017-06-06T00:57:21.756769Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: 'NS_FAILED(rv)', file /home/worker/workspace/build/src/dom/indexedDB/ActorsParent.cpp, line 21638
[task 2017-06-06T00:57:21.759043Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "IndexedDB UnknownErr: ActorsParent.cpp:23239"]"
[task 2017-06-06T00:57:21.760688Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "IndexedDB UnknownErr: ActorsParent.cpp:21176"]"
[task 2017-06-06T00:57:21.762871Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "UnknownError" {file: "resource://gre/modules/IndexedDB.jsm" line: 342}]"
[task 2017-06-06T00:57:21.764188Z] 00:57:21     INFO -  "CONSOLE_MESSAGE: (error) [JavaScript Error: "UnknownError" {file: "resource://gre/modules/IndexedDB.jsm" line: 259}]"
[task 2017-06-06T00:57:21.765711Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: '!mMainThread', file /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 330
[task 2017-06-06T00:57:21.767035Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: NS_ENSURE_TRUE(aObserver) failed: file /home/worker/workspace/build/src/modules/libpref/nsPrefBranch.cpp, line 748
[task 2017-06-06T00:57:21.768579Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80070057: file /home/worker/workspace/build/src/modules/libpref/Preferences.cpp, line 1729
[task 2017-06-06T00:57:21.769830Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: '!mMainThread', file /home/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 330
[task 2017-06-06T00:57:21.771308Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: '!compMgr', file /home/worker/workspace/build/src/xpcom/components/nsComponentManagerUtils.cpp, line 63
[task 2017-06-06T00:57:21.772904Z] 00:57:21     INFO -  PID 15910 | [15910] WARNING: OOPDeinit() without successful OOPInit(): file /home/worker/workspace/build/src/toolkit/crashreporter/nsExceptionHandler.cpp, line 3555
[task 2017-06-06T00:57:21.774190Z] 00:57:21     INFO -  PID 15910 | nsStringStats
[task 2017-06-06T00:57:21.775646Z] 00:57:21     INFO -  PID 15910 |  => mAllocCount:          97349

[task 2017-06-06T00:57:21.778051Z] 00:57:21     INFO -  PID 15910 |  => mReallocCount:         3816
[task 2017-06-06T00:57:21.784398Z] 00:57:21     INFO -  PID 15910 |  => mFreeCount:           97349
[task 2017-06-06T00:57:21.784704Z] 00:57:21     INFO -  PID 15910 |  => mShareCount:          62666
[task 2017-06-06T00:57:21.784945Z] 00:57:21     INFO -  PID 15910 |  => mAdoptCount:           2966
[task 2017-06-06T00:57:21.785210Z] 00:57:21     INFO -  PID 15910 |  => mAdoptFreeCount:       2966
[task 2017-06-06T00:57:21.785464Z] 00:57:21     INFO -  PID 15910 |  => Process ID: 15910, Thread ID: 4024867328
[task 2017-06-06T00:57:21.785644Z] 00:57:21     INFO -  <<<<<<<


:andym, this is just popping up on our radar, I wanted to get it on your radar in case there is an easy fix.
Flags: needinfo?(amckay)
Whiteboard: [stockwell needswork]
Assignee: nobody → aswan
Flags: needinfo?(amckay)
Attachment #8875403 - Flags: review?(rhelmer)
Comment on attachment 8875403 [details]
Bug 1330227 Tighten up mtime checking test_update.js

https://reviewboard.mozilla.org/r/146852/#review152622
Attachment #8875403 - Flags: review?(rhelmer) → review+
Pushed by aswan@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/e1656074cabe
Tighten up mtime checking test_update.js r=rhelmer
https://hg.mozilla.org/mozilla-central/rev/e1656074cabe
Status: NEW → RESOLVED
Closed: 2 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Whiteboard: [stockwell needswork] → [stockwell fixed]
Target Milestone: --- → mozilla56
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Duplicate of this bug: 1372805
Well, it looks like that wasn't actually the issue (see the duplicate).  I'll try to look more closely today.
Looking again, it looks like this is only failing when we're running with unpacked installation.  And this test uses a non-restartless extension, so what ends up happening is that the test runs the install which stages it (since it requires a restart) but it is during the staging that the xpi is extracted (and at this moment becomes the mtime on disk).  Then the test restarts the addons manager to apply the update, does a bunch of other assertions along the way, and eventually gets around to checking the mtime against the clock.  In a 32 bit debug builds, this takes long enough that the test fails.

One fix would be to read the clock right after the install finishes (in the unpacked configuration only).  But this is making me question the whole premise of checking the mtime.  On systems where the tests run quickly, we could easily go from the initial install to the post-upgrade timestamp check in much less than the allowed 3 seconds.  Also, if the upgrade doesn't happen for some reason, there are numerous other assertions in this test that will fail.

If we really think we're getting something valuable here, I propose that we get the mtime from disk before the upgrade, then again after the upgrade and just assert that they are different.  Or we could remove the mtime checking altogether.  Or, given the short remaining lifetime of non-restartless and unpacked extensions, we could just skip this test in the unpacked configuration.

Rob, am I missing something that this test is covering?  What do you prefer we do?
Flags: needinfo?(rhelmer)
(In reply to Andrew Swan [:aswan] (PTO through 6/21) from comment #13)
> Looking again, it looks like this is only failing when we're running with
> unpacked installation.  And this test uses a non-restartless extension, so
> what ends up happening is that the test runs the install which stages it
> (since it requires a restart) but it is during the staging that the xpi is
> extracted (and at this moment becomes the mtime on disk).  Then the test
> restarts the addons manager to apply the update, does a bunch of other
> assertions along the way, and eventually gets around to checking the mtime
> against the clock.  In a 32 bit debug builds, this takes long enough that
> the test fails.
> 
> One fix would be to read the clock right after the install finishes (in the
> unpacked configuration only).  But this is making me question the whole
> premise of checking the mtime.  On systems where the tests run quickly, we
> could easily go from the initial install to the post-upgrade timestamp check
> in much less than the allowed 3 seconds.  Also, if the upgrade doesn't
> happen for some reason, there are numerous other assertions in this test
> that will fail.
> 
> If we really think we're getting something valuable here, I propose that we
> get the mtime from disk before the upgrade, then again after the upgrade and
> just assert that they are different.  Or we could remove the mtime checking
> altogether.  Or, given the short remaining lifetime of non-restartless and
> unpacked extensions, we could just skip this test in the unpacked
> configuration.
> 
> Rob, am I missing something that this test is covering?  What do you prefer
> we do?

I'll take a closer look, but I am leaning towards skipping if it's not particularly valuable. I suspect our time is better spent elsewhere.
Assignee: aswan → rhelmer
Flags: needinfo?(rhelmer)
this test started failing on August 22nd:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1330227&startday=2017-08-14&endday=2017-08-24&tree=all

primarily on linux32-debug.  I have started some jobs to attempt a backfill:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=linux%20debug%20xpcshell-8&tochange=7e6cd9dc49d54e193186c28fbe000da3630ca7e9&fromchange=bccc691242c5460e58c6aac1bd3fd63d15037b4a&selectedJob=124718446

looking at the log file:
https://queue.taskcluster.net/v1/task/Z0QHBukrS4i-Ek9eASLKdQ/runs/0/artifacts/public/logs/live_backing.log

I see an error which appears to be related to the test:
[task 2017-08-22T10:22:13.559732Z] 10:22:13     INFO -  PID 16559 | 1503397256884	addons.xpi	WARN	Error parsing extensions state: [Exception... "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND) [amIAddonManagerStartup.readStartupData]"  nsresult: "0x80520012 (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame :: resource://gre/modules/addons/XPIProvider.jsm :: loadExtensionState :: line 1523"  data: no] Stack trace: loadExtensionState()@resource://gre/modules/addons/XPIProvider.jsm:1523 < getInstallState()@resource://gre/modules/addons/XPIProvider.jsm:1558 < checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3093 < startup()@resource://gre/modules/addons/XPIProvider.jsm:2160 < callProvider()@resource://gre/modules/AddonManager.jsm:263 < _startProvider()@resource://gre/modules/AddonManager.jsm:733 < startup()@resource://gre/modules/AddonManager.jsm:900 < startup()@resource://gre/modules/AddonManager.jsm:3084 < observe()@jar:file:///home/worker/workspace/build/application/firefox/omni.ja!/components/addonManager.js:65 < promiseStartupManager()@resource://testing-common/AddonTestUtils.jsm:584


This error is not seen on green runs of the test.

:rhelmer, I see you worked on this in the past, is there any chance you could take another look?
Flags: needinfo?(rhelmer)
Whiteboard: [stockwell fixed] → [stockwell needswork]
(In reply to Joel Maher ( :jmaher) (UTC-5) from comment #24)
> this test started failing on August 22nd:
> https://brasstacks.mozilla.com/orangefactor/
> ?display=Bug&bugid=1330227&startday=2017-08-14&endday=2017-08-24&tree=all
> 
> primarily on linux32-debug.  I have started some jobs to attempt a backfill:
> https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-
> searchStr=linux%20debug%20xpcshell-
> 8&tochange=7e6cd9dc49d54e193186c28fbe000da3630ca7e9&fromchange=bccc691242c546
> 0e58c6aac1bd3fd63d15037b4a&selectedJob=124718446
> 
> looking at the log file:
> https://queue.taskcluster.net/v1/task/Z0QHBukrS4i-Ek9eASLKdQ/runs/0/
> artifacts/public/logs/live_backing.log
> 
> I see an error which appears to be related to the test:
> [task 2017-08-22T10:22:13.559732Z] 10:22:13     INFO -  PID 16559 |
> 1503397256884	addons.xpi	WARN	Error parsing extensions state: [Exception...
> "Component returned failure code: 0x80520012 (NS_ERROR_FILE_NOT_FOUND)
> [amIAddonManagerStartup.readStartupData]"  nsresult: "0x80520012
> (NS_ERROR_FILE_NOT_FOUND)"  location: "JS frame ::
> resource://gre/modules/addons/XPIProvider.jsm :: loadExtensionState :: line
> 1523"  data: no] Stack trace:
> loadExtensionState()@resource://gre/modules/addons/XPIProvider.jsm:1523 <
> getInstallState()@resource://gre/modules/addons/XPIProvider.jsm:1558 <
> checkForChanges()@resource://gre/modules/addons/XPIProvider.jsm:3093 <
> startup()@resource://gre/modules/addons/XPIProvider.jsm:2160 <
> callProvider()@resource://gre/modules/AddonManager.jsm:263 <
> _startProvider()@resource://gre/modules/AddonManager.jsm:733 <
> startup()@resource://gre/modules/AddonManager.jsm:900 <
> startup()@resource://gre/modules/AddonManager.jsm:3084 <
> observe()@jar:file:///home/worker/workspace/build/application/firefox/omni.
> ja!/components/addonManager.js:65 <
> promiseStartupManager()@resource://testing-common/AddonTestUtils.jsm:584
> 
> 
> This error is not seen on green runs of the test.
> 
> :rhelmer, I see you worked on this in the past, is there any chance you
> could take another look?

Hm. So this should just be a warning (it happens when we try to open the startup data since bug 1389160), I'll take a look though.
Flags: needinfo?(rhelmer)
thanks for working on this :rhelmer :)
OK to skip this test on Linux while you work on a fix?
Attachment #8906009 - Flags: review?(rhelmer)
Comment on attachment 8906009 [details] [diff] [review]
skip test_update.js on linux

Review of attachment 8906009 [details] [diff] [review]:
-----------------------------------------------------------------

Hope you don't mind - I'm going to go ahead and disable this.
Attachment #8906009 - Flags: review?(rhelmer) → review+
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/1a7b18c56426
Skip xpcshell test_update.js on linux, for intermittent failures; r=me,test-only
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell disabled]
Priority: -- → P5
Component: WebExtensions: General → Add-ons Manager
Summary: Intermittent xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | xpcshell return code: 0 → Intermittent xpcshell-unpack.ini:toolkit/mozapps/extensions/test/xpcshell/test_update.js | run_test_1 - [run_test_1 : 251] false == true
The leave-open keyword is there and there is no activity for 6 months.
:rhelmer, maybe it's time to close this bug?
Flags: needinfo?(rhelmer)
Status: REOPENED → RESOLVED
Closed: 2 years ago11 months ago
Flags: needinfo?(rhelmer)
Resolution: --- → WORKSFORME
Whiteboard: [stockwell disabled]
You need to log in before you can comment on or make changes to this bug.